quarter_ellipsoid_endocard = (
    0, 2, 4, 9, 12, 13, 14, 18, 19, 20, 21, 23, 25, 28, 30, 32, 35, 36, 38, 42, 44, 46, 47, 49, 52, 53, 56, 57, 59, 61,
    62, 64, 65, 66, 67, 72, 73, 74, 75, 76, 78, 80, 83, 84, 85, 86, 88, 89, 91, 92, 93, 95, 96, 97, 100, 101, 105, 107,
    108, 110, 111, 113, 114, 117, 118, 121, 122, 126, 127, 130, 132, 134, 135, 138, 141, 142, 143, 145, 146, 147, 148,
    149, 151, 154, 156, 158, 164, 165, 166, 170, 174, 176, 179, 180, 182, 187, 193, 194, 195, 197, 200, 201, 205, 209,
    210, 214, 215, 216, 218, 222, 224, 237, 238, 240, 242, 244, 245, 247, 250, 251, 252, 256, 259, 260, 263, 264, 267,
    268, 270, 277, 279, 281, 282, 285, 287, 291)

full_ellipsoid_endocard = (
    0, 3, 6, 9, 12, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 67, 68, 69, 70, 71, 72, 73, 74, 75,
    76,
    77, 78, 79, 80, 81, 82, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 171, 172,
    173,
    174, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232,
    233,
    234, 235, 236, 237, 238, 239, 240, 241, 242, 243, 244, 245, 246, 327, 328, 329, 330, 331, 332, 333, 334, 335, 336,
    337,
    338, 339, 340, 341, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 360,
    361,
    362, 363, 364, 365, 366, 367, 368, 369, 370, 371, 372, 373, 374, 375, 376, 377, 378, 379, 380, 381, 382, 383, 384,
    385,
    386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 403, 404, 405, 406, 407, 408,
    409,
    410, 411, 412, 413, 414, 415, 416, 417, 418, 419, 420, 421, 422, 423, 424, 425, 426, 427, 428, 429, 430, 431, 432,
    433,
    434, 435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 447, 448, 449, 450, 451, 452, 453, 454, 455, 456,
    457,
    458, 459, 460, 461, 462, 463, 464, 465, 466, 467, 468, 469, 470, 471, 472, 473, 474, 475, 476, 477, 478, 479, 480,
    481,
    482, 483, 484, 485, 486, 487, 488, 489, 490, 491, 492, 493, 494, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504,
    505,
    506, 507, 508, 509, 510, 511, 512, 513, 514, 515, 516, 517, 518, 519, 520, 521, 522, 523, 524, 525, 526, 527, 528,
    529,
    530, 531, 532, 533, 534, 535, 536, 537, 538, 539, 540, 541, 542, 543, 544, 545, 546, 547, 548, 549, 550, 551, 552,
    553,
    554, 555, 556, 557, 558, 559, 560, 561, 562, 563, 564, 565, 566, 567, 568, 569, 570, 571, 572, 573, 574, 575, 576,
    577,
    578, 579, 580, 581, 582, 583, 584, 585, 586, 587, 588, 589, 590, 591, 592, 593, 594, 595, 596, 597, 598, 599, 600,
    601,
    602, 603, 604, 605, 606, 607, 608, 609, 610, 611, 612, 613, 614, 615, 616, 617, 618, 619, 620, 621, 622, 623, 624,
    625,
    626, 627, 628, 629, 630, 631, 632, 633, 634, 635, 636, 637, 638, 639, 640, 641, 642, 643, 644, 645, 646, 647, 648,
    649,
    650, 651, 652, 653, 654, 655, 656, 657, 658, 659, 660, 661, 662, 663, 664, 665, 666, 667, 668, 669, 670, 671, 672,
    673,
    674, 675, 676, 677, 678, 679, 680, 681, 682, 683, 684, 685, 686, 687, 688, 689, 690, 691, 692, 693, 694)

left_ventricle_endocard = (
    1067, 1160, 882, 424, 1131, 86, 1000, 422, 1108, 1278, 88, 412, 354, 1238, 355, 368, 807, 87, 829, 806, 439, 196,
    248,
    1177, 114, 768, 1157, 155, 365, 893, 152, 619, 216, 675, 170, 325, 623, 607, 460, 173, 111, 176, 735, 113, 783, 171,
    838, 154, 161, 324, 823, 246, 558, 673, 215, 676, 169, 96, 198, 212, 390, 608, 617, 290, 174, 291, 110, 737, 763,
    99,
    194, 193, 677, 97, 231, 245, 309, 301, 616, 493, 228, 559, 1118, 223, 637, 328, 197, 146, 213, 511, 900, 615, 518,
    507,
    109, 520, 107, 527, 583, 392, 307, 348, 448, 600, 733, 363, 311, 492, 310, 227, 834, 644, 702, 275, 1155, 384, 294,
    383,
    447, 226, 145, 147, 580, 1164, 525, 723, 505, 516, 504, 393, 335, 293, 272, 627, 509, 621, 560, 551, 252, 725, 833,
    337,
    409, 339, 577, 304, 232, 930, 722, 667, 1181, 665, 1180, 385, 685, 523, 250, 119, 353, 670, 1309, 362, 185, 867,
    929,
    777, 1393, 334, 795, 333, 682, 186, 693, 590, 592, 313, 800, 399, 249, 847, 811, 410, 652, 408, 661, 287, 425, 233,
    956,
    907, 866, 1230, 706, 739, 550, 522, 683, 1262, 456, 120, 121, 430, 1129, 74, 65, 187, 553, 825, 928, 961, 599, 758,
    598,
    429, 1012, 568, 201, 428, 316, 589, 916, 315, 1440, 387, 388, 810, 813, 784, 849, 902, 288, 660, 268, 264, 219, 542,
    906, 266, 625, 62, 280, 624, 1319, 569, 1333, 486, 166, 1139, 162, 970, 35, 30, 29, 142, 555, 826, 817, 814, 689,
    597,
    482, 767, 404, 54, 567, 140, 798, 478, 741, 917, 1053, 432, 593, 651, 695, 477, 476, 848, 854, 925, 986, 1342, 1222,
    267, 578, 217, 60, 1051, 1150, 53, 64, 7, 281, 946, 936, 921, 115, 715, 165, 1249, 1316, 164, 33, 34, 28, 44, 143,
    1159,
    912, 899, 815, 973, 687, 869, 406, 931, 405, 8, 997, 117, 914, 434, 479, 803, 1071, 978, 433, 533, 650, 1045, 474,
    839,
    1037, 1094, 1186, 1448, 1307, 1538, 1498, 1496, 1149, 59, 1010, 1469, 1293, 1203, 1423, 1438, 13, 6, 4, 100, 55, 40,
    922, 84, 920, 67, 1144, 285, 1006, 566, 604, 296, 132, 93, 183, 126, 1286, 949, 910, 905, 904, 934, 751, 1589, 750,
    1600, 769, 2, 23, 1256, 835, 11, 14, 1135, 1313, 125, 1213, 470, 453, 576, 588, 530, 438, 862, 532, 1025, 1182, 471,
    455, 1038, 1036, 1303, 1304, 1171, 1308, 1497, 1167, 1502, 840, 17, 1009, 1399, 1, 853, 1353, 1326, 138, 3, 207,
    836,
    859, 68, 1375, 1007, 69, 1459, 284, 283, 609, 603, 200, 297, 21, 229, 156, 127, 1288, 1536, 1098, 708, 636, 1084,
    782,
    781, 564, 1251, 770, 950, 1075, 887, 1252, 305, 1106, 91, 1016, 188, 1587, 647, 452, 454, 587, 528, 437, 177, 967,
    104,
    1207, 1398, 102, 358, 1041, 1173, 742, 1305, 1388, 996, 1267, 1400, 1166, 1436, 26, 1257, 1231, 1611, 89, 773, 1522,
    27,
    1072, 1074, 124, 190, 1574, 1350, 633, 612, 611, 489, 78, 19, 20, 129, 256, 254, 1385, 1220, 1428, 413, 92, 635,
    1086,
    871, 846, 700, 698, 1367, 1357, 1545, 191, 1042, 952, 646, 654, 656, 843, 658, 178, 103, 1063, 1201, 1395, 357, 537,
    1240, 744, 1147, 743, 1217, 1216, 1029, 1268, 1273, 979, 43, 538, 1206, 1411, 1137, 1578, 221, 1558, 414, 672, 1442,
    1565, 360, 631, 927, 340, 484, 52, 81, 41, 131, 255, 442, 1128, 762, 1209, 988, 987, 1197, 993, 940, 1143, 699, 830,
    712, 1114, 1027, 958, 704, 653, 886, 890, 889, 818, 1062, 1239, 1277, 821, 540, 1242, 875, 966, 1116, 1064, 1065,
    701,
    299, 220, 259, 1083, 1579, 761, 1300, 1208, 1391, 771, 850, 1115, 984, 1332, 1112, 210, 419, 237, 341, 396, 51, 79,
    70,
    421, 394, 713, 1080, 855, 1301, 1284, 1352, 1151, 793, 791, 1562, 1060, 851, 796, 974, 1244, 703, 885, 884, 1638,
    820,
    1104, 1028, 983, 858, 873, 872, 964, 669, 544, 450, 298, 209, 258, 1082, 1561, 1500, 943, 941, 1225, 919, 1226,
    1057,
    1133, 937, 788, 981, 159, 235, 236, 322, 397, 133, 238, 1198, 148, 300, 664, 1089, 944, 1311, 1339, 1312, 574, 989,
    955,
    731, 729, 975, 1396, 1132, 1023, 1034, 877, 680, 727, 747, 1101, 878, 668, 543, 548, 346, 160, 640, 1271, 1414,
    1511,
    378, 377, 1138, 720, 1124, 1676, 1202, 1110, 1030, 336, 1419, 1234, 787, 572, 1193, 690, 134, 380, 158, 458, 459,
    321,
    277, 240, 151, 641, 149, 444, 584, 1032, 1002, 47, 467, 642, 717, 1455, 573, 1264, 1454, 1322, 1125, 344, 730, 1192,
    1191, 242, 947, 880, 461, 463, 381, 1259, 243, 536, 1163, 1546, 1194, 1483, 375, 1457, 1532, 1530, 1190, 1200, 137,
    135,
    180, 276, 327, 202, 263, 441, 401, 711, 400, 351, 586, 754, 755, 1584, 72, 1003, 756, 466, 1078, 203, 204, 464, 515,
    271, 260, 1673, 1657, 1056, 719, 76, 39, 61, 317, 318, 261, 630, 499, 416, 350, 352, 1583, 1433, 374, 319, 426, 139,
    417, 565, 561, 502, 36, 38, 95, 503, 498, 372, 605, 49, 562, 512, 106, 105, 195, 370, 371, 547, 123)

fullheart_endocard = {
    1: 1, 5: 1, 2: 1, 63: 1, 159: 1, 7: 1, 2218: 1, 2220: 1, 2386: 1, 6: 1, 64: 1, 164: 1, 165: 1,
    190: 1, 2274: 1, 10: 2, 47: 2, 17: 2, 19: 2, 77: 2, 52: 2, 121: 2, 13: 3, 281: 3, 274: 3, 278: 3,
    15: 3, 57: 3, 157: 3, 119: 3, 94: 3, 211: 3, 197: 2, 2648: 2, 2652: 2, 18: 2, 124: 2, 146: 2,
    2959: 2, 2047: 2, 2046: 2, 23: 2, 258: 2, 24: 2, 162: 2, 271: 2, 2717: 2, 163: 2, 2903: 2,
    2857: 2, 27: 2, 45: 2, 46: 2, 142: 2, 32: 2, 2994: 2, 2993: 2, 30: 2, 43: 2, 161: 2, 2824: 2,
    2966: 2, 225: 2, 33: 1, 37: 1, 50: 1, 40: 1, 87: 1, 235: 1, 150: 1, 224: 1, 54: 1, 91: 1, 136: 1,
    186: 1, 84: 1, 44: 2, 222: 2, 2358: 2, 219: 2, 2762: 2, 2799: 2, 126: 2, 2645: 2, 2679: 2,
    2314: 1, 2317: 1, 101: 1, 105: 1, 198: 1, 252: 1, 55: 3, 58: 3, 178: 3, 83: 3, 196: 3, 3968: 3,
    3645: 3, 60: 2, 66: 2, 61: 2, 79: 2, 2034: 2, 2980: 2, 2048: 2, 89: 1, 88: 1, 247: 1, 232: 1,
    78: 2, 100: 2, 106: 2, 67: 2, 69: 2, 68: 2, 238: 2, 141: 2, 73: 2, 2635: 2, 2636: 2, 2631: 2,
    72: 2, 2630: 2, 102: 2, 2357: 2, 148: 2, 2794: 2, 2858: 2, 98: 2, 2033: 2, 82: 3, 127: 3, 203: 3,
    168: 3, 3885: 3, 3579: 3, 4081: 3, 86: 1, 183: 1, 2428: 1, 2060: 1, 2407: 1, 112: 1, 2369: 1,
    2395: 1, 2439: 1, 2436: 1, 1525: 3, 1514: 3, 110: 2, 2621: 2, 2566: 2, 205: 2, 266: 2, 234: 1,
    233: 1, 256: 1, 200: 2, 2853: 2, 2861: 1, 2206: 1, 270: 2, 2881: 2, 2859: 2, 282: 1, 2004: 1,
    2009: 1, 116: 4, 117: 4, 135: 4, 187: 4, 172: 4, 208: 4, 257: 4, 169: 4, 244: 4, 242: 4, 180: 3,
    139: 3, 2055: 2, 2675: 2, 2671: 2, 140: 3, 174: 3, 236: 3, 128: 2, 145: 2, 144: 2, 173: 2,
    2722: 2, 2579: 2, 2854: 2, 227: 4, 260: 4, 249: 4, 2440: 1, 2318: 1, 1869: 3, 1498: 3, 2935: 2,
    2989: 2, 237: 2, 2884: 2, 2842: 2, 2793: 2, 2409: 1, 152: 3, 154: 3, 1497: 3, 1904: 3, 1496: 3,
    3644: 3, 2041: 1, 2653: 1, 2822: 2, 2189: 1, 2188: 1, 2429: 1, 2191: 1, 214: 4, 215: 4, 231: 4,
    241: 4, 228: 4, 240: 4, 1888: 3, 2058: 1, 4956: 4, 5384: 4, 5367: 4, 2561: 1, 192: 4, 262: 4,
    4347: 4, 4346: 4, 4257: 3, 2120: 2, 2919: 2, 4851: 4, 2102: 4, 1927: 4, 1926: 4, 1947: 4,
    2764: 2, 2353: 2, 2351: 2, 2352: 2, 2702: 1, 2836: 2, 3656: 4, 5170: 4, 268: 4, 5624: 4, 1985: 1,
    1959: 1, 1961: 1, 2706: 1, 2927: 2, 2882: 2, 5091: 4, 5090: 4, 2040: 1, 3657: 4, 4674: 4,
    3653: 4, 2758: 1, 1974: 1, 2795: 2, 2906: 2, 5534: 4, 4628: 4, 2926: 2, 2925: 2, 2998: 2,
    1614: 3, 1512: 3, 1513: 3, 1680: 3, 2010: 1, 3327: 3, 3584: 3, 4168: 3, 3442: 3, 3328: 3,
    3309: 3, 3310: 3, 4104: 3, 4105: 3, 4103: 3, 3377: 3, 4343: 3, 4297: 3, 3378: 3, 3050: 3,
    4106: 3, 4107: 3, 3603: 3, 3604: 3, 3601: 3, 3685: 3, 3602: 3, 3684: 3, 3682: 3, 3335: 3,
    3873: 3, 3336: 3, 3872: 3, 3332: 3, 3334: 3, 3871: 3, 4121: 3, 4123: 3, 4325: 3, 3333: 3,
    3339: 3, 4449: 3, 3379: 3, 4316: 3, 4447: 3, 4319: 3, 3049: 3, 3990: 4, 3625: 4, 3368: 4,
    3989: 4, 4487: 4, 4567: 4, 4517: 4, 3165: 3, 3164: 3, 3167: 3, 3326: 3, 3348: 3, 3347: 3,
    3166: 3, 3862: 3, 3856: 3, 3860: 3, 3540: 3, 3539: 3, 3861: 3, 4578: 3, 3282: 3, 3215: 3,
    3283: 3, 3815: 3, 3232: 3, 3813: 3, 3607: 3, 3381: 3, 3375: 3, 3373: 3, 3606: 3, 3376: 3,
    4066: 3, 4062: 3, 4061: 3, 4249: 3, 4065: 3, 4588: 3, 4421: 3, 3319: 3, 3322: 3, 3323: 3,
    3320: 3, 3321: 3, 3324: 3, 3325: 3, 3257: 3, 3513: 3, 4253: 3, 3256: 3, 3253: 3, 4497: 3,
    3258: 3, 3154: 3, 3153: 3, 3156: 3, 3163: 3, 3155: 3, 3161: 3, 3162: 3, 3007: 3, 3008: 3,
    3157: 3, 4389: 3, 4171: 3, 4170: 3, 4401: 3, 4388: 3, 3661: 3, 4390: 3, 3413: 3, 3411: 3,
    3409: 3, 3832: 3, 3834: 3, 3838: 3, 3412: 3, 3410: 3, 3811: 3, 3810: 3, 4260: 3, 3036: 3,
    4439: 3, 4440: 3, 3561: 3, 3026: 3, 3031: 3, 3035: 3, 3648: 3, 3647: 3, 3179: 3, 3384: 3,
    3382: 3, 3383: 3, 3387: 3, 3971: 3, 3622: 3, 4155: 4, 4644: 4, 3983: 4, 4127: 4, 4128: 4,
    4154: 4, 4158: 4, 4336: 3, 3908: 3, 3807: 3, 4335: 3, 4559: 3, 4273: 3, 4366: 3, 3808: 3,
    3806: 3, 1755: 4, 1781: 4, 1774: 4, 1756: 4, 1754: 4, 1758: 4, 1761: 4, 3144: 3, 3125: 3,
    3127: 3, 3093: 3, 3094: 3, 3145: 3, 3205: 3, 3122: 3, 3123: 3, 3120: 3, 3143: 3, 3128: 3,
    3233: 3, 4646: 4, 4633: 4, 3984: 4, 4695: 4, 4683: 4, 4344: 3, 3380: 3, 3293: 3, 4329: 3,
    4589: 3, 3778: 3, 3777: 3, 4328: 3, 4523: 3, 3168: 3, 3044: 3, 3066: 3, 3206: 3, 3067: 3,
    3239: 4, 4162: 4, 4161: 4, 3240: 4, 3234: 4, 3236: 4, 3491: 4, 4378: 4, 3724: 4, 4163: 4,
    4177: 4, 4178: 4, 3970: 4, 3521: 4, 3210: 4, 3213: 4, 3651: 4, 3218: 3, 3591: 3, 4290: 3,
    3366: 4, 3367: 4, 3369: 4, 3370: 4, 3372: 4, 3371: 4, 3374: 3, 3452: 3, 4613: 3, 3545: 3,
    3010: 3, 3006: 3, 3012: 3, 3040: 3, 3011: 3, 3009: 3, 3632: 3, 4252: 3, 3059: 3, 3062: 3,
    3060: 3, 3061: 3, 3063: 3, 3064: 3, 3065: 3, 4044: 3, 4174: 3, 3605: 3, 3511: 3, 3502: 3,
    3505: 3, 4289: 3, 4288: 3, 3510: 3, 4338: 3, 3501: 3, 3506: 3, 4218: 3, 3068: 3, 3634: 4,
    3658: 4, 3264: 4, 3043: 3, 3385: 3, 3780: 3, 3776: 3, 4070: 3, 4186: 3, 4069: 3, 3401: 3,
    3903: 3, 4101: 3, 4110: 3, 4200: 3, 4063: 3, 4250: 3, 1619: 3, 1618: 3, 1847: 3, 1573: 3,
    3397: 3, 1620: 3, 3396: 3, 3761: 3, 3764: 3, 3762: 3, 3767: 3, 3763: 3, 3765: 3, 3766: 3,
    4201: 3, 3196: 3, 3435: 3, 2644: 2, 2641: 2, 4446: 3, 4576: 3, 3081: 3, 4444: 3, 4397: 3,
    4445: 3, 4468: 3, 4471: 3, 3839: 3, 3837: 3, 4015: 3, 4016: 3, 4017: 3, 4018: 3, 4774: 4,
    4770: 4, 4011: 4, 4564: 4, 4733: 4, 4885: 4, 5020: 4, 4012: 4, 4781: 4, 4771: 4, 4274: 3,
    4261: 3, 3285: 3, 3291: 3, 3288: 3, 3292: 3, 3286: 3, 3284: 3, 3216: 3, 3041: 3, 3042: 3,
    3121: 3, 3129: 3, 3298: 3, 3131: 3, 3130: 3, 3126: 3, 4074: 4, 4454: 4, 1628: 4, 4076: 4,
    3800: 4, 3801: 4, 4236: 4, 4420: 4, 3723: 4, 1624: 4, 3907: 3, 4206: 3, 4296: 3, 4126: 4,
    4124: 4, 3981: 4, 3492: 3, 3783: 3, 3816: 3, 4293: 3, 3299: 3, 3265: 3, 4292: 3, 4291: 3,
    4504: 3, 4503: 3, 4417: 3, 1576: 3, 1845: 3, 1846: 3, 3668: 3, 4169: 3, 3363: 3, 3669: 3,
    4010: 4, 4008: 4, 4009: 4, 4287: 4, 3687: 4, 4053: 3, 3924: 3, 4014: 3, 4208: 3, 3966: 3,
    4052: 3, 3928: 4, 3927: 4, 1689: 3, 4055: 3, 4059: 3, 1687: 3, 4476: 3, 1688: 3, 1548: 3,
    4056: 3, 4058: 3, 4057: 3, 3340: 3, 1906: 3, 1905: 3, 3464: 3, 3470: 3, 2697: 3, 4246: 4,
    4245: 4, 4075: 4, 4380: 4, 4379: 4, 4224: 4, 4223: 4, 3803: 4, 3659: 3, 3660: 3, 3969: 4,
    3639: 4, 3626: 4, 4634: 4, 4684: 4, 4078: 3, 4080: 3, 3749: 3, 3630: 3, 3631: 3, 4376: 3,
    4377: 3, 4372: 3, 4367: 3, 4369: 3, 4079: 3, 4485: 3, 4370: 3, 4395: 3, 4495: 3, 3462: 3,
    3468: 3, 3465: 3, 3463: 3, 3466: 3, 3467: 3, 3124: 3, 3429: 3, 3272: 4, 3424: 4, 4429: 4,
    3274: 4, 3268: 4, 3271: 4, 3419: 4, 4381: 4, 3423: 4, 4513: 3, 3281: 3, 4480: 3, 4396: 3,
    4368: 3, 3280: 3, 4269: 3, 3923: 3, 3859: 3, 3361: 3, 3471: 3, 3959: 3, 3887: 3, 3430: 3,
    3713: 3, 3719: 3, 3714: 3, 3715: 3, 3718: 3, 3716: 3, 3717: 3, 2104: 2, 2053: 2, 3108: 4,
    3106: 4, 4068: 3, 3402: 3, 3070: 3, 3069: 3, 3073: 3, 3080: 3, 3522: 3, 3523: 3, 3071: 3,
    3193: 3, 3189: 3, 3192: 3, 4067: 3, 4064: 3, 3388: 3, 3195: 3, 3433: 3, 4324: 3, 3434: 3,
    4122: 3, 3089: 3, 3893: 3, 4082: 3, 3890: 3, 3774: 3, 4226: 3, 3773: 3, 3254: 3, 3255: 3,
    3259: 3, 3683: 3, 3681: 3, 3814: 3, 4054: 3, 4398: 3, 4565: 3, 2394: 1, 2397: 1, 2368: 1,
    3985: 4, 4345: 4, 3986: 4, 1893: 3, 3583: 3, 3079: 3, 3072: 3, 4156: 4, 4157: 4, 3532: 4,
    3534: 4, 3930: 4, 4348: 4, 3833: 3, 4034: 3, 3400: 3, 3889: 3, 3686: 4, 3691: 4, 3688: 4,
    3214: 3, 3529: 3, 3692: 3, 3362: 3, 3528: 3, 3530: 3, 3524: 3, 3365: 3, 3627: 4, 3982: 4,
    3670: 3, 3364: 3, 4308: 3, 4309: 3, 3949: 3, 3950: 3, 4327: 3, 3488: 3, 3960: 3, 3689: 4,
    3690: 4, 1623: 4, 1629: 4, 3699: 4, 4424: 4, 3725: 3, 3091: 3, 3191: 3, 3552: 3, 3525: 3,
    3542: 3, 3541: 3, 3526: 3, 3428: 3, 3693: 3, 3074: 3, 3075: 3, 4326: 3, 4270: 3, 3279: 3,
    4267: 3, 3953: 3, 3051: 3, 4167: 3, 3444: 3, 3503: 3, 3508: 3, 1861: 3, 3504: 3, 1862: 3,
    1588: 3, 1863: 3, 3905: 3, 4470: 3, 4356: 3, 3961: 3, 3386: 3, 4571: 3, 4490: 4, 4491: 4,
    4492: 4, 4493: 4, 4494: 4, 3980: 4, 3543: 3, 3544: 3, 1920: 1, 1932: 1, 1933: 1, 1924: 1,
    1918: 1, 1934: 1, 1919: 1, 1930: 4, 1942: 4, 1943: 4, 1941: 4, 1931: 4, 1925: 4, 1929: 4,
    1928: 4, 3090: 3, 3972: 3, 1613: 3, 3750: 3, 1611: 3, 3181: 3, 3973: 3, 4552: 3, 3643: 3,
    3180: 3, 4048: 4, 1686: 4, 1679: 4, 3649: 4, 4271: 4, 4295: 4, 4407: 4, 4521: 4, 3420: 4,
    3421: 4, 4573: 4, 4575: 4, 4409: 4, 4299: 3, 3945: 3, 3944: 3, 4759: 4, 4760: 4, 3260: 4,
    3263: 4, 3025: 3, 3027: 3, 3030: 3, 3029: 3, 3028: 3, 3102: 4, 3105: 4, 3562: 3, 1557: 1,
    1563: 1, 1560: 1, 1559: 1, 1561: 1, 1558: 1, 1562: 1, 1597: 1, 1596: 1, 1609: 1, 1615: 1,
    4164: 4, 3237: 4, 3287: 3, 3495: 3, 4134: 3, 3671: 3, 3672: 3, 4425: 4, 4426: 4, 4371: 3,
    3092: 3, 3088: 3, 1851: 2, 1850: 2, 1567: 2, 1852: 2, 1553: 2, 1566: 2, 1881: 2, 2438: 1,
    2236: 1, 3554: 3, 1617: 4, 1627: 4, 1616: 4, 3965: 3, 1537: 3, 3618: 3, 1538: 3, 1532: 3,
    1536: 3, 3629: 3, 1541: 3, 3531: 4, 3533: 4, 3535: 4, 3536: 4, 3537: 4, 3784: 3, 1607: 4,
    1610: 4, 1673: 4, 3110: 3, 3109: 3, 3116: 3, 3114: 3, 3115: 3, 3111: 3, 3103: 4, 3104: 4,
    3107: 4, 3112: 3, 3113: 3, 3305: 4, 3235: 4, 3238: 4, 4222: 4, 3303: 4, 4314: 4, 4374: 4,
    4221: 4, 3772: 3, 3056: 3, 3058: 3, 3775: 3, 3398: 3, 1542: 3, 1547: 3, 1543: 3, 1595: 3,
    1612: 3, 1546: 3, 3054: 3, 3055: 3, 3052: 3, 3053: 3, 3403: 3, 4430: 4, 1923: 1, 1921: 1,
    1922: 1, 4418: 3, 4419: 3, 3812: 3, 4330: 3, 3779: 3, 3489: 3, 3553: 3, 3623: 3, 3555: 3,
    1621: 3, 1575: 3, 1574: 3, 1859: 3, 1622: 3, 1540: 3, 3119: 4, 3118: 4, 3117: 4, 3493: 4,
    3494: 4, 3892: 3, 3958: 3, 3957: 3, 3033: 3, 3886: 3, 3034: 3, 1572: 3, 1577: 3, 3474: 3,
    3057: 3, 3472: 3, 3473: 3, 4307: 3, 3835: 3, 4092: 3, 4422: 3, 3475: 3, 4399: 3, 4400: 3,
    4108: 3, 4415: 3, 3891: 3, 3399: 3, 4306: 3, 3443: 3, 3624: 3, 4176: 4, 4375: 4, 3979: 4,
    3929: 4, 3926: 4, 3220: 3, 3948: 3, 4286: 4, 3819: 4, 4285: 4, 4394: 4, 4251: 4, 4125: 4,
    4256: 4, 4150: 3, 3276: 3, 3278: 3, 4204: 3, 4149: 3, 4205: 3, 4152: 4, 4671: 4, 1836: 3,
    1589: 3, 3507: 3, 1691: 1, 1690: 1, 1625: 4, 1606: 4, 1605: 4, 4102: 3, 3904: 3, 4465: 4,
    4884: 4, 4734: 4, 3329: 3, 3922: 3, 3538: 3, 1935: 1, 1936: 1, 1937: 1, 1565: 2, 1568: 2,
    6140: 2, 6145: 2, 3925: 3, 4207: 3, 4262: 3, 3290: 3, 4013: 4, 3190: 3, 3194: 3, 3469: 3,
    4451: 3, 1552: 2, 6152: 2, 2072: 1, 2073: 1, 2074: 1, 2077: 1, 2079: 1, 2078: 1, 2076: 1,
    2075: 1, 2119: 1, 2292: 1, 2118: 1, 2111: 1, 3820: 4, 4408: 4, 3422: 4, 3270: 4, 3269: 4,
    4615: 4, 1590: 3, 1587: 3, 1533: 3, 3616: 3, 1857: 3, 4339: 3, 4033: 3, 4466: 4, 4431: 4,
    4893: 4, 5015: 4, 3275: 3, 3277: 3, 3818: 4, 4467: 4, 3817: 4, 3273: 4, 4640: 4, 4639: 4,
    4469: 3, 4323: 3, 4475: 3, 3330: 3, 3312: 3, 3799: 4, 3804: 4, 4237: 4, 3802: 4, 3805: 4,
    4109: 3, 4416: 3, 4402: 3, 4403: 3, 1594: 3, 2698: 3, 3261: 4, 3262: 4, 4786: 4, 3577: 3,
    4483: 3, 3231: 3, 3178: 3, 3906: 3, 3809: 3, 3637: 4, 1665: 4, 1604: 4, 6178: 4, 6167: 4,
    3847: 3, 1592: 3, 1598: 1, 1608: 1, 3032: 3, 1626: 4, 4141: 3, 3642: 3, 3638: 4, 3650: 4,
    4850: 4, 4959: 4, 4848: 4, 4849: 4, 4891: 4, 4958: 4, 4448: 3, 3858: 3, 3572: 3, 3217: 3,
    3578: 3, 3580: 3, 3576: 3, 3581: 3, 3582: 3, 4630: 4, 3617: 3, 3976: 3, 4242: 3, 3771: 3,
    3640: 4, 3636: 4, 3646: 3, 4241: 3, 4243: 3, 3633: 4, 3635: 4, 3823: 4, 3822: 4, 3571: 3,
    3895: 3, 4462: 4, 4486: 4, 4321: 4, 1880: 2, 1571: 2, 4139: 3, 1666: 4, 3527: 3, 2784: 2,
    2883: 2, 2924: 2, 3306: 3, 3331: 3, 3307: 3, 4268: 3, 1678: 1, 6179: 1, 6168: 1, 4317: 3,
    4230: 3, 4320: 4, 4231: 4, 4496: 4, 3417: 4, 3857: 3, 1672: 4, 4035: 3, 3974: 3, 3977: 3,
    2775: 2, 2783: 2, 2771: 2, 1946: 4, 1944: 1, 1945: 1, 4077: 3, 3219: 3, 3821: 4, 3641: 4,
    1667: 4, 1744: 4, 3289: 3, 1849: 3, 1883: 3, 1853: 3, 1854: 3, 1844: 3, 1544: 3, 4254: 4,
    4574: 4, 3476: 3, 1539: 3, 4219: 3, 3308: 3, 3311: 3, 2413: 1, 2518: 1, 2517: 1, 2412: 1,
    2256: 1, 2414: 1, 2425: 1, 4322: 4, 2257: 1, 2253: 1, 2258: 1, 1837: 3, 1833: 3, 4142: 3,
    4534: 3, 4512: 3, 1545: 3, 4437: 4, 3499: 4, 4438: 4, 1948: 4, 1949: 4, 1986: 4, 1990: 4,
    4890: 4, 4784: 4, 4785: 4, 4091: 3, 4050: 3, 4090: 3, 4463: 4, 4464: 4, 1664: 4, 4354: 3,
    3048: 3, 3045: 3, 3047: 3, 3654: 4, 3496: 4, 3498: 4, 3500: 4, 3947: 3, 3946: 3, 4638: 3,
    4648: 3, 1684: 1, 1685: 1, 1742: 1, 1741: 1, 1705: 1, 1683: 1, 1681: 1, 1743: 1, 1732: 1,
    6202: 1, 6183: 1, 4220: 3, 4193: 3, 4194: 3, 1730: 1, 1794: 1, 1734: 1, 1728: 1, 1762: 1,
    1793: 1, 1729: 1, 1810: 1, 1813: 1, 1786: 1, 1764: 4, 1738: 4, 1766: 4, 1795: 4, 1796: 4,
    1765: 4, 1792: 4, 4279: 4, 3748: 4, 3746: 4, 4509: 3, 6174: 1, 3836: 3, 4546: 3, 3655: 4,
    1636: 1, 1651: 1, 1639: 1, 1634: 1, 1635: 1, 1650: 1, 1642: 1, 1637: 1, 1821: 1, 1750: 1,
    1746: 1, 1663: 4, 1670: 4, 1671: 4, 1668: 4, 1669: 4, 1662: 4, 4423: 3, 2976: 2, 2977: 2,
    3509: 3, 1725: 4, 1647: 4, 1759: 4, 1644: 4, 1726: 4, 1950: 4, 4051: 3, 4244: 3, 3781: 3,
    1646: 4, 2105: 4, 1643: 4, 4522: 4, 3418: 4, 4558: 3, 2530: 1, 2411: 1, 2515: 1, 2512: 1,
    2531: 1, 2377: 1, 2384: 1, 4277: 3, 4340: 4, 4341: 4, 3741: 4, 4594: 4, 4536: 4, 3740: 4,
    4473: 4, 4535: 4, 4539: 4, 4537: 4, 3304: 4, 4232: 4, 3739: 4, 2167: 1, 2513: 1, 2510: 1,
    3975: 3, 1580: 3, 1581: 3, 4560: 3, 3177: 3, 3175: 3, 3176: 3, 3782: 3, 3902: 3, 3901: 3,
    4300: 3, 3563: 3, 3046: 3, 1987: 4, 1988: 4, 2045: 2, 2044: 2, 3628: 3, 4225: 3, 4731: 4,
    4716: 4, 4749: 4, 4755: 4, 4714: 4, 4773: 4, 4732: 4, 4748: 4, 4717: 4, 4713: 4, 4754: 4,
    4756: 4, 1767: 1, 1770: 1, 1771: 1, 1772: 1, 1769: 1, 1753: 1, 1768: 1, 1775: 4, 1815: 4,
    1814: 4, 1782: 4, 1776: 4, 1773: 4, 2084: 1, 2090: 1, 1751: 1, 4541: 3, 2136: 1, 2134: 1,
    2159: 1, 2538: 1, 1752: 1, 2137: 1, 3736: 4, 3742: 4, 3737: 4, 3738: 4, 3745: 3, 3743: 3,
    3744: 3, 1593: 3, 1882: 3, 6154: 3, 6135: 3, 1551: 2, 1518: 2, 1517: 2, 1550: 2, 1549: 2,
    6134: 2, 2083: 1, 2085: 1, 1600: 1, 1599: 1, 1682: 1, 3888: 3, 4318: 3, 2098: 1, 2099: 1,
    2100: 1, 4342: 4, 4635: 4, 3747: 4, 1696: 1, 1956: 1, 1973: 1, 1957: 1, 1955: 1, 1972: 1,
    1975: 2, 1976: 2, 1970: 2, 1977: 2, 1978: 2, 1979: 2, 1980: 2, 1971: 2, 1981: 2, 1982: 2,
    3490: 4, 3209: 4, 2745: 4, 4769: 4, 2746: 4, 1695: 1, 4768: 1, 2130: 1, 2623: 1, 4757: 4,
    4758: 4, 4538: 4, 2106: 4, 1760: 4, 3212: 4, 4612: 3, 1963: 2, 1969: 2, 4777: 1, 1638: 1,
    4460: 3, 4804: 4, 4805: 4, 1569: 2, 1874: 2, 1601: 2, 1570: 2, 6118: 2, 6149: 3, 6148: 3,
    3211: 4, 4373: 4, 4566: 4, 3896: 3, 4561: 3, 5021: 4, 4175: 4, 4715: 4, 4718: 4, 4719: 4,
    1535: 3, 6119: 3, 1527: 2, 1528: 2, 6116: 2, 4696: 4, 1816: 4, 1808: 4, 4577: 3, 3951: 3,
    4834: 4, 4835: 4, 3497: 4, 3208: 4, 3207: 4, 4782: 4, 6159: 4, 4726: 4, 1531: 2, 1875: 2,
    1526: 2, 4811: 4, 4926: 4, 4698: 4, 4927: 4, 1886: 2, 1603: 2, 4792: 4, 4540: 3, 1822: 1,
    1824: 1, 2405: 1, 2705: 1, 4725: 4, 4727: 4, 1534: 3, 1968: 2, 2081: 2, 2620: 2, 4428: 4,
    1856: 1, 2026: 1, 1693: 1, 1966: 2, 4597: 4, 1962: 2, 1964: 2, 1965: 2, 1967: 2, 1958: 1,
    1960: 1, 4427: 4, 4739: 4, 4737: 4, 4740: 4, 4892: 4, 1700: 4, 1632: 4, 2013: 2, 2014: 2,
    2015: 2, 1521: 2, 1520: 2, 2016: 2, 2017: 2, 2023: 2, 2024: 2, 2025: 2, 2018: 1, 2019: 1,
    2020: 1, 2007: 1, 2006: 1, 2021: 1, 2022: 1, 1998: 2, 2054: 2, 2960: 4, 1649: 4, 2114: 4,
    4778: 4, 1989: 4, 2113: 4, 1991: 4, 2640: 2, 2001: 2, 1996: 2, 1997: 2, 1555: 2, 1564: 2,
    1631: 4, 6205: 4, 1892: 3, 2029: 1, 5104: 4, 1659: 4, 4738: 4, 2796: 2, 2128: 1, 2129: 1,
    4844: 4, 4845: 4, 2057: 1, 2082: 1, 2103: 1, 2056: 1, 1855: 1, 1900: 2, 2061: 2, 1748: 1,
    5147: 4, 4741: 4, 1556: 2, 1554: 2, 1899: 2, 2059: 1, 4810: 4, 4799: 4, 4793: 4, 4794: 4,
    4796: 4, 4800: 4, 4801: 4, 4841: 4, 4827: 4, 4955: 4, 1802: 1, 1818: 1, 2112: 1, 4876: 4,
    4875: 4, 4888: 4, 2961: 4, 1661: 1, 1698: 1, 1660: 1, 1697: 1, 1633: 1, 6206: 1, 6193: 1,
    1701: 1, 1707: 1, 1677: 1, 1699: 1, 1702: 1, 2003: 1, 2005: 1, 2008: 1, 1999: 2, 2000: 2,
    2002: 2, 1983: 1, 1984: 1, 4831: 4, 4880: 4, 2080: 2, 1694: 1, 1692: 1, 4795: 4, 4843: 4,
    4932: 4, 4971: 4, 4980: 4, 2062: 2, 2027: 2, 2012: 1, 4907: 4, 4908: 4, 2089: 1, 2088: 1,
    2050: 1, 2110: 1, 2049: 1, 2051: 1, 2108: 1, 1797: 1, 1712: 1, 4883: 4, 5243: 4, 4830: 4,
    1500: 3, 2031: 2, 2030: 2, 2032: 2, 2038: 1, 2035: 1, 2039: 1, 2042: 1, 2043: 1, 2037: 1,
    4840: 4, 2028: 2, 1653: 4, 1654: 4, 1652: 4, 1658: 4, 1731: 1, 1736: 4, 1735: 4, 1737: 4,
    2642: 2, 1763: 1, 6192: 1, 1515: 2, 2622: 1, 1812: 1, 1819: 4, 2549: 1, 2086: 1, 2087: 1,
    2011: 1, 4930: 4, 4929: 4, 4697: 4, 4871: 4, 4868: 4, 4870: 4, 4878: 4, 4950: 4, 4951: 4,
    4872: 4, 4869: 4, 4873: 4, 4874: 4, 4879: 4, 5013: 4, 1749: 1, 1747: 1, 1757: 4, 1703: 1,
    4783: 4, 1890: 3, 4990: 4, 2036: 1, 1820: 1, 2808: 1, 1839: 3, 4826: 4, 4846: 4, 4812: 4,
    4813: 4, 1648: 4, 1645: 4, 1640: 1, 4905: 4, 4906: 4, 4902: 4, 4904: 4, 4934: 4, 4933: 4,
    4935: 4, 4877: 4, 4903: 4, 4772: 4, 4936: 4, 4937: 4, 4938: 4, 5023: 4, 5024: 4, 5022: 4,
    5036: 4, 5037: 4, 5038: 4, 5028: 4, 5025: 4, 5026: 4, 5027: 4, 1779: 1, 6190: 1, 1584: 3,
    1516: 2, 1522: 2, 1519: 2, 4961: 4, 4947: 4, 5067: 4, 4653: 4, 5088: 4, 5099: 4, 5100: 4,
    5152: 4, 5006: 4, 5007: 4, 5053: 4, 5005: 4, 4912: 4, 4913: 4, 1784: 4, 1785: 4, 1789: 4,
    1791: 4, 1727: 4, 6208: 4, 6210: 4, 5014: 4, 5012: 4, 5070: 4, 5071: 4, 5115: 4, 5116: 4,
    1630: 1, 2135: 1, 5119: 4, 5120: 4, 5121: 4, 5122: 4, 2121: 1, 1704: 1, 5050: 4, 5051: 4,
    5052: 4, 5110: 4, 5101: 4, 5133: 4, 5111: 4, 5112: 4, 5134: 4, 5135: 4, 5128: 4, 4946: 4,
    5331: 4, 5199: 4, 5279: 4, 5356: 4, 5180: 4, 5357: 4, 5200: 4, 2109: 2, 2122: 2, 4657: 3,
    2213: 1, 2212: 1, 4889: 1, 5089: 4, 5094: 4, 5095: 4, 2672: 2, 2669: 2, 1655: 4, 6207: 4,
    4966: 4, 5001: 4, 4967: 4, 4965: 4, 4970: 4, 5000: 4, 5002: 4, 5003: 4, 5065: 4, 5066: 4,
    4968: 4, 4981: 4, 2391: 1, 5113: 4, 2160: 1, 2161: 1, 1508: 2, 1509: 2, 1902: 2, 1842: 2,
    1507: 2, 1503: 2, 1502: 2, 5072: 4, 5182: 4, 5183: 4, 5209: 4, 1724: 4, 1807: 4, 5174: 4,
    4897: 4, 4898: 4, 1799: 1, 1804: 1, 1800: 1, 1805: 4, 1809: 4, 1806: 4, 5224: 4, 5234: 4,
    5146: 4, 5205: 4, 5225: 4, 5302: 4, 5247: 4, 5301: 4, 5226: 4, 4979: 4, 4969: 4, 4963: 1,
    2279: 1, 1586: 2, 1578: 2, 1585: 2, 1860: 2, 1858: 2, 1530: 2, 1579: 2, 1811: 1, 5250: 4,
    5251: 4, 5196: 4, 5221: 4, 5264: 4, 5265: 4, 4920: 4, 4921: 4, 2424: 4, 5172: 4, 5171: 4,
    2123: 1, 2125: 1, 2124: 1, 5293: 4, 5344: 4, 2215: 1, 6139: 3, 1790: 4, 5236: 4, 5246: 4,
    5230: 4, 1780: 1, 2152: 2, 5258: 4, 1641: 1, 2628: 1, 5273: 4, 5274: 4, 5332: 4, 2263: 1,
    2264: 1, 2278: 1, 2276: 1, 2277: 1, 2262: 1, 2254: 1, 2216: 1, 5154: 4, 5153: 4, 2291: 1,
    2294: 1, 4997: 4, 4998: 4, 4999: 4, 5083: 4, 5081: 4, 5082: 4, 5084: 4, 1787: 1, 2170: 1,
    2455: 1, 2171: 1, 2166: 1, 2169: 1, 2194: 1, 2249: 1, 5136: 4, 5137: 4, 2190: 1, 2155: 1,
    2670: 2, 2678: 2, 5240: 4, 5241: 4, 2261: 1, 2255: 1, 5064: 4, 5057: 4, 2219: 1, 2196: 1,
    5300: 4, 2214: 1, 5203: 4, 5204: 4, 2260: 1, 2308: 1, 2307: 1, 2311: 1, 2259: 1, 2309: 1,
    2310: 1, 2312: 1, 5058: 4, 5059: 4, 1894: 2, 1884: 2, 1866: 2, 1898: 2, 1895: 2, 6146: 2,
    1505: 2, 1504: 2, 1867: 2, 6142: 2, 1871: 3, 1872: 3, 1868: 3, 1870: 3, 1897: 3, 6141: 3,
    1896: 2, 1885: 2, 2168: 1, 2172: 1, 5281: 4, 2430: 1, 5117: 4, 5311: 4, 5312: 4, 1499: 3,
    1788: 1, 6200: 1, 5259: 4, 2348: 1, 2295: 1, 2296: 1, 2349: 1, 2293: 1, 5164: 4, 2234: 1,
    2232: 1, 2233: 1, 2242: 1, 2237: 1, 2243: 1, 2240: 1, 2639: 1, 1733: 1, 1740: 4, 1739: 4,
    2878: 4, 2195: 1, 2431: 1, 2157: 1, 2158: 1, 5163: 4, 2239: 1, 2241: 1, 2238: 1, 1715: 4,
    2235: 1, 2316: 1, 2315: 1, 2329: 1, 2392: 1, 2393: 1, 2330: 1, 5366: 4, 1817: 4, 5322: 4,
    6196: 4, 1777: 4, 6189: 4, 2367: 1, 2399: 1, 5292: 4, 5284: 4, 5362: 4, 2350: 2, 2355: 2,
    2356: 2, 2354: 2, 2187: 1, 5148: 4, 5211: 4, 5210: 4, 5348: 4, 5349: 4, 5266: 4, 5381: 4,
    2336: 1, 2337: 1, 2338: 1, 2339: 1, 2340: 1, 2341: 1, 2545: 1, 2458: 1, 2588: 1, 2543: 1,
    2595: 1, 2457: 1, 2589: 1, 2390: 1, 2275: 1, 2248: 1, 1803: 1, 1716: 1, 1720: 1, 1717: 1,
    2165: 1, 5269: 4, 2144: 1, 2145: 1, 2142: 1, 2143: 1, 2153: 1, 2150: 1, 2154: 1, 2156: 1,
    2147: 1, 5333: 4, 5325: 4, 1745: 4, 2408: 1, 2406: 1, 2347: 1, 5149: 4, 5150: 4, 2519: 1,
    2499: 1, 2146: 1, 2148: 1, 2151: 1, 2149: 1, 5430: 4, 5431: 4, 5219: 4, 5217: 4, 5165: 4,
    5166: 4, 5167: 4, 5220: 4, 2342: 1, 2343: 1, 5328: 4, 2693: 1, 2490: 1, 2489: 1, 5323: 4,
    5383: 4, 1778: 4, 1722: 4, 6209: 4, 6203: 4, 1801: 1, 1721: 1, 6180: 1, 1835: 3, 2437: 1,
    2442: 1, 2441: 1, 1798: 1, 1783: 1, 2607: 1, 2557: 1, 1723: 4, 5410: 4, 5409: 4, 5216: 4,
    5324: 4, 1834: 3, 5408: 4, 5405: 4, 5285: 4, 4650: 3, 5233: 4, 2604: 1, 2498: 1, 2419: 1,
    2389: 1, 5218: 4, 2658: 2, 1887: 2, 5309: 4, 2565: 1, 2511: 1, 2558: 1, 2559: 1, 2593: 1,
    5361: 4, 5427: 4, 2396: 1, 2398: 1, 2410: 1, 2533: 1, 2385: 1, 5308: 4, 2582: 1, 2610: 1,
    2581: 1, 2443: 1, 1708: 1, 1718: 1, 1709: 1, 1706: 1, 1719: 1, 1710: 1, 2247: 1, 5340: 4,
    5403: 4, 5404: 4, 1674: 4, 1675: 4, 1656: 4, 1713: 4, 6195: 4, 1676: 4, 1657: 4, 1714: 4,
    2534: 1, 2590: 1, 2548: 1, 1529: 2, 5329: 4, 1889: 3, 6137: 3, 6138: 3, 1523: 2, 6136: 2,
    2509: 1, 2379: 1, 2378: 1, 2508: 1, 1511: 2, 1501: 2, 1510: 2, 1901: 2, 1903: 2, 2193: 1,
    2544: 1, 2536: 1, 2537: 1, 1506: 2, 2627: 1, 5425: 4, 5457: 4, 2562: 1, 2376: 1, 2374: 1,
    2375: 1, 2382: 1, 2383: 1, 2380: 1, 2381: 1, 2344: 1, 5468: 4, 5469: 4, 5470: 4, 5471: 4,
    5472: 4, 5473: 4, 5482: 4, 5481: 4, 5483: 4, 5456: 4, 5455: 4, 5318: 4, 2514: 1, 5502: 4,
    5398: 4, 5511: 4, 5512: 4, 6151: 2, 5371: 4, 5298: 4, 5299: 4, 5372: 4, 5370: 4, 2661: 1,
    2701: 1, 5341: 4, 1891: 3, 1873: 3, 1838: 3, 6150: 3, 6132: 3, 5507: 4, 1823: 1, 1832: 2,
    6153: 2, 5417: 4, 5418: 4, 2707: 1, 2591: 1, 2592: 1, 5392: 4, 5330: 4, 5373: 4, 5566: 4,
    2577: 2, 1583: 2, 1828: 2, 1582: 2, 6144: 2, 1831: 2, 1830: 2, 5501: 4, 5400: 4, 5206: 4,
    5222: 4, 2682: 1, 2680: 1, 2681: 1, 2689: 1, 2690: 1, 2683: 1, 2691: 1, 5336: 4, 5399: 4,
    2761: 2, 2760: 2, 2750: 2, 2798: 2, 2797: 2, 2890: 2, 2897: 2, 5495: 4, 5496: 4, 5497: 4,
    6133: 3, 6131: 2, 6194: 4, 5443: 4, 5454: 4, 5499: 4, 5498: 4, 2598: 1, 2599: 1, 2600: 1,
    5508: 4, 5412: 4, 2532: 1, 5434: 4, 5433: 4, 5432: 4, 5426: 4, 5553: 4, 5484: 4, 5485: 4,
    5411: 4, 5530: 4, 5549: 4, 5543: 4, 5550: 4, 5551: 4, 5452: 4, 2597: 2, 2727: 2, 1907: 2,
    1908: 2, 2596: 2, 2476: 2, 2471: 2, 4658: 3, 5439: 4, 5440: 4, 5438: 4, 5444: 4, 5453: 4,
    5559: 4, 5441: 4, 5442: 4, 1711: 1, 5532: 4, 5537: 4, 5538: 4, 2673: 2, 2674: 2, 2811: 2,
    2626: 1, 2731: 1, 5517: 4, 6204: 4, 6201: 4, 2676: 2, 2677: 2, 5565: 4, 5393: 4, 2692: 1,
    2744: 1, 2812: 2, 2813: 2, 5570: 4, 5578: 4, 5579: 4, 2732: 1, 2733: 1, 2474: 2, 2468: 2,
    2756: 1, 2757: 1, 5544: 4, 2749: 1, 2815: 2, 2814: 2, 2816: 2, 2728: 2, 2603: 1, 2576: 2,
    2654: 2, 2656: 2, 2575: 2, 2580: 2, 5554: 4, 5562: 4, 2469: 2, 2482: 2, 2472: 2, 2467: 2,
    2475: 2, 2483: 2, 2769: 2, 2772: 2, 2473: 2, 2776: 2, 2770: 2, 2852: 2, 2742: 2, 1827: 2,
    5556: 4, 5557: 4, 2470: 2, 5571: 4, 2823: 2, 2962: 2, 2893: 2, 5545: 4, 5596: 4, 5552: 4,
    2838: 2, 2839: 2, 1602: 2, 5561: 4, 5568: 4, 2849: 2, 2847: 2, 5600: 4, 5602: 4, 2646: 2,
    2774: 2, 2773: 2, 5594: 4, 5592: 4, 5593: 4, 6126: 3, 2901: 2, 2898: 2, 2643: 2, 2647: 2,
    2649: 2, 2650: 2, 2651: 2, 5597: 4, 2821: 2, 2825: 2, 2879: 2, 2880: 2, 2657: 2, 2655: 2,
    5598: 4, 5608: 4, 2735: 2, 2578: 2, 5518: 4, 2939: 2, 2938: 2, 2944: 2, 2902: 2, 2914: 1,
    5519: 4, 2978: 2, 2873: 2, 2851: 2, 2874: 2, 2937: 2, 5422: 4, 5423: 4, 5616: 4, 2723: 2,
    2955: 1, 2889: 2, 2763: 2, 2751: 2, 1826: 2, 1825: 2, 2862: 2, 2863: 2, 1840: 2, 1843: 2,
    5620: 4, 5618: 4, 2800: 2, 2945: 2, 2870: 2, 2865: 2, 2864: 2, 2871: 2, 2965: 2, 2869: 2,
    2866: 2, 1909: 2, 2899: 2, 2843: 2, 2844: 2, 2845: 2, 2846: 2, 2848: 2, 2850: 2, 2900: 2,
    5588: 4, 2915: 2, 2916: 2, 2917: 2, 5585: 4, 5615: 4, 1524: 2, 2868: 2, 2931: 2, 2872: 2,
    2997: 2, 2867: 2, 5587: 4, 2946: 2, 5601: 4, 1841: 2, 2934: 2, 5617: 4, 2947: 2, 6147: 3,
    1829: 2, 6125: 2, 6164: 1, 6182: 1, 6122: 2, 6188: 1, 6117: 2, 6120: 2, 6129: 2, 6121: 3,
    6127: 3, 6130: 2, 6123: 3, 6124: 2, 6143: 3, 6128: 3, 6155: 1, 6156: 1, 6177: 1, 6176: 1,
    6161: 1, 6184: 1, 6157: 4, 6158: 4, 6175: 4, 6173: 4, 6160: 4, 6162: 4, 6172: 4, 6185: 4,
    6187: 4, 6169: 4, 6198: 4, 6170: 4, 6165: 1, 6171: 1, 6166: 4, 6163: 4, 6181: 1, 6186: 4,
    6197: 1, 6199: 4, 6191: 1
}
